class SOAPClinic {
  int? clinicGroupID;
  String? clinicGroupName;
  int? clinicID;
  String? clinicNameArabic;
  String? clinicNameEnglish;

  SOAPClinic({
    this.clinicGroupID,
    this.clinicGroupName,
    this.clinicID,
    this.clinicNameArabic,
    this.clinicNameEnglish,
  });

  factory SOAPClinic.fromJson(Map<String, dynamic> json) {
    return SOAPClinic(
      clinicGroupID: json['clinicGroupID'],
      clinicGroupName: json['clinicGroupName'],
      clinicID: json['clinicID'],
      clinicNameArabic: json['clinicNameArabic'],
      clinicNameEnglish: json['clinicNameEnglish'],
    );
  }

  Map<String, dynamic> toJson() {
    return {
      'clinicGroupID': clinicGroupID,
      'clinicGroupName': clinicGroupName,
      'clinicID': clinicID,
      'clinicNameArabic': clinicNameArabic,
      'clinicNameEnglish': clinicNameEnglish,
    };
  }
}